January 27, 2023

WordPress is now changing in FSE ( Full Site Editing ) which is a Block-based Widgets Editor.

Using the old legacy widgets after updating WordPress to 5.8 seems to create such a problem.

The Block-based Widgets Editor adds the power of blocks to the WordPress Administration Screens’ Theme Customizer and Appearance > Widgets sections, enabling you to create blocks directly next to any existing widgets. You can now personalize your Widget Areas with blocks in the same manner that you can generate content with the block editor.

So, if you’re still using older widgets, some of them are definitely incompatible with the new block-based widgets editor. This is why you’re seeing: The “text” block was impacted by problems and may no longer work properly or at all. The “some” block was corrupted and may no longer work properly.

Solution

  1. Classic Widgets Plugin
    Download and activate the plugin in your site dashboard so that the plugin will disable all the blocks widgets function and bring back the old widgets option.
  2. Removing old widgets
    Remove all the widgets that you are using and add all the new blocks in the Theme.
  3. Deactivating the active plugins
    Sometimes the issue might cause due to the conflict between the plugins. So try out deactivating the plugins one by one.

Once you follow the one of instructions there won’t be any notice “The Block Was Affected By Errors And May Not Function Properly”